## org.apache.tools.ant.types.optional.image
Class TransformOperation

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.types.DataType
                  |
                  +--org.apache.tools.ant.types.optional.image.ImageOperation
                        |
                        +--org.apache.tools.ant.types.optional.image.TransformOperation

Direct Known Subclasses:
  Draw, Rotate, Scale

public abstract class TransformOperation
extends ImageOperation

Author:
  Kevin Z Grey
See Also:
  `org.apache.tools.ant.tasks.optional.image.Image`

Field Summary

Fields inherited from class org.apache.tools.ant.types.optional.image.ImageOperation
`instructions`

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`TransformOperation()`

Method Summary
`void` `addRectangle(Rectangle instr)`
`abstract javax.media.jai.PlanarImage` `executeTransformOperation(javax.media.jai.PlanarImage img)`

Methods inherited from class org.apache.tools.ant.types.optional.image.ImageOperation
`addDraw, addRotate, addScale, addText`

Methods inherited from class org.apache.tools.ant.types.DataType
`checkAttributesAllowed, checkChildrenAllowed, circularReference, dieOnCircularReference, getCheckedRef, getDescription, getRefid, isChecked, isReference, noChildrenAllowed, setChecked, setDescription, setRefid, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransformOperation

    public TransformOperation()

Method Detail

### executeTransformOperation

    public abstract javax.media.jai.PlanarImage executeTransformOperation(javax.media.jai.PlanarImage img)

### addRectangle

    public void addRectangle(Rectangle instr)

  Overrides:
    `addRectangle` in class `ImageOperation`

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.